#ifndef YMUPLOADWIDGET
#define YMUPLOADWIDGET
#include <QWidget>
#include <QGroupBox>
#include <QListWidget>
#include <QListWidgetItem>
#include <QLineEdit>
#include <QString>
#include <QMap>
#include <QTabWidget>


class YMUploadWidget:public QWidget
{
    Q_OBJECT
    enum E_DATABASE_COMMAND
    {
        E_DATABASE_COMMAND_INSERT = 0,
        E_DATABASE_COMMAND_UPDATE,
    };
public:
    YMUploadWidget(QWidget *parent = 0);
    ~YMUploadWidget();

private:
    QGroupBox *setUploadWidgets();
    QListWidget* m_plwMorphereGroup;
    QLineEdit* m_pleMorphereGroup;
    QListWidget* m_plwMorphere;
    QGroupBox* m_pgbMorphere;
    QTabWidget* m_ptwResult;
    QTabWidget* m_ptwSource;

public slots:
    void MorphereGroupInsert();
    void MorphereGroupDelete();
    void MorphereGroupModify();
    void MorphereGroupRefresh();
    void MorphereGroupCopyPaste();
    void currentGroupItemChanged(QListWidgetItem *_pCurrent, QListWidgetItem *_pPrev=0);

    void MorphereDelete();
    void MorphereUp();
    void MorphereDown();
    void MorphereAdd();

    void currentMorphereItemChanged(QListWidgetItem *_pCurrent, QListWidgetItem *_pPrev=0);
    void RefreshMorphere(int _nGroup);
   // void RefreshMorphere(int _nGroup);

    void DataBaseMorphereMorphere(int _nArticle,QMap<QString, QString> mapParam ,int _nGroup,int _nCommand, QString _strFilterId = "");
    void DataBaseMorphere(int _nType, QString _strJson,int _nGroup,int _nCommand,QString _strFilterId);
    void setResultTabWidget(QTabWidget* tabWidget);
    void setSourceTabWidget(QTabWidget* tabWidget);
};


#endif // YMUPLOADWIDGET

